PSConcurrent

1.0.0-rc

Provides the Invoke-Concurrent cmdlet, which can run a set of ScriptBlocks concurrently, up to a configurable maximum concurrency level.

Minimum PowerShell version

5.0

This is a prerelease version of PSConcurrent.

Installation Options

Copy and Paste the following command to install this package using PowerShellGet More Info

Install-Module -Name PSConcurrent -RequiredVersion 1.0.0-rc -AllowPrerelease

You can deploy this package directly to Azure Automation. Note that deploying packages with dependencies will deploy all the dependencies to Azure Automation. Learn More

Manually download the .nupkg file to your system's default download location. Note that the file won't be unpacked, and won't include any dependencies. Learn More

Author(s)

Jeffrey Sharp

Copyright

Copyright (C) 2018 Jeffrey Sharp

Owners

Tags

Concurrent Parallel Thread Invoke Foreach

Cmdlets

Invoke-Concurrent

Dependencies

This module has no dependencies.

Release Notes

Release notes are available at:
https://github.com/sharpjs/PSConcurrent/releases

Version History

Version Downloads Last updated
2.0.0 8,388 9/29/2019
1.0.0 217 5/4/2018
1.0.0-rc (current version) 15 4/29/2018